Skip to main content
GET
/
api-keys
List all API keys
curl --request GET \
  --url https://app.ezyshield.com.au/api/api-keys \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "<string>",
      "attributes": {
        "name": "<string>",
        "token": "<string>",
        "abilities": [
          "<string>"
        ],
        "created_at": "<string>",
        "last_used_at": "<string>",
        "expires_at": "<string>"
      },
      "relationships": {
        "creator": {
          "data": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        }
      }
    }
  ],
  "links": {
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>"
  },
  "meta": {
    "current_page": 2,
    "from": 2,
    "last_page": 2,
    "links": [
      {
        "url": "<string>",
        "label": "<string>",
        "active": true
      }
    ],
    "path": "<string>",
    "per_page": 1,
    "to": 2,
    "total": 1
  },
  "included": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "<string>",
      "attributes": {
        "name": "<string>",
        "email": "<string>",
        "created_at": "<string>",
        "updated_at": "<string>"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

sort
string
default:-created_at

Available sorts are created_at, last_used_at, expires_at, name. You can sort by multiple options by separating them with a comma. To sort in descending order, use - sign in front of the sort, for example: -created_at.

page[size]
integer
default:10

The number of results that will be returned per page.

page[number]
integer

The page number to start the pagination from.

include
enum<string>[]
Available options:
creator
fields[api-keys]
enum<string>[]
Available options:
name,
token,
abilities,
created_at,
last_used_at,
expires_at
fields[users]
enum<string>[]
Available options:
name,
email,
created_at,
updated_at
filter[name]
string

Filter by API key name.

Example:

"Production key"

Response

Paginated set of ApiKeyResource

data
ApiKeyResource · object[]
required
meta
object
required
included
UserResource · object[]